Создание плоскости по трем точкам

Автор TedyIV, 08.04.19, 12:36:35

« предыдущая - следующая »

0 Пользователей и 1 гость просматривают эту тему.

TedyIV

Есть код:

// Получаем интерфейс объекта Плоскость по 3 точкам
ksEntityPtr entityPlosk3Point( (ksEntity*)part->NewEntity(o3d_plane3Points), false/*AddRef*/ );
//Получаем интерфейс параметров плоскости по 3 точкам
ksPlane3PointsDefinitionPtr InterfacePlosk3Point( (ksPlane3PointsDefinition*)entityPlosk3Point->GetDefinition(), false/*AddRef*/ );
...
// Указываем точки в интерфейсе параметров
// InterfacePlosk3Point->SetPoint(1,..);


В коде, где указаны точки (...), должно быть указание интерфейса точки и указание интерфейса параметров точки. Не понятно, какие интерфейсы использовать...

В справочной системе говорится следующие:

BOOL SetPoint (long number, LPDISPATCH point);

Входные параметры:

point
- указатель на интерфейс точки ksEntity или IEntity,

number
- номер точки (от 1 до 3).

Возвращаемое значение:

TRUE
- в случае успешного завершения.

Так вот как именно использовать указатель на интерфейс точки ksEntity или IEntity?


TedyIV

Я так понимаю в данной ситуации не обойтись без интерфейса IKompasDocument?

При подключении в Builder C++ #include <ksAPI7.h> выдает много ошибок. Так и не смог разобраться с этой проблемой

TedyIV

При подключении в Builder C++ #include <ksAPI7.h> выдает ошибки:

[bcc64 Error] ksAPI7.h(71126): declaration of 'T' shadows template parameter
  ksAPI7.h(71101): template parameter is declared here


В чем может быть проблема?